﻿Imports System.IO.Ports
Imports System.Threading

Module Module1
    Dim sp As SerialPort

    Sub Main()
        'Initialize the serial port
        sp = New SerialPort()
        sp.PortName = "COM6"
        sp.BaudRate = 115200
        sp.ReadTimeout = 500
        sp.WriteTimeout = 500
        AddHandler sp.DataReceived, AddressOf DataReceivedHandler

        sp.Open()
        While (True)
            sp.WriteLine("Hello World")
        End While

    End Sub

    Sub DataReceivedHandler(sender As Object, e As SerialDataReceivedEventArgs)
        Dim bytes = sp.BytesToRead
        Dim buff(bytes) As Byte

        'Write buffered bytes tothe console
        Dim len = sp.Read(buff, 0, bytes)
        Console.Write(System.Text.Encoding.ASCII.GetString(buff))
    End Sub

End Module



